<ion-header>
  <ion-toolbar>
    <ion-buttons slot='start'>
      <ion-back-button defaultHref='tabs/profile'></ion-back-button>
    </ion-buttons>
    <ion-title>{{ 'profilo.contatti' | translate }}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-header collapse='condense'>
    <ion-toolbar class='custom-toolbar'>
      <ion-title size='large' color='dark'>
        <div class="toolbar-title">
          {{ 'profilo.contatti' | translate }}
          <span class='float-end'>
          <ion-icon name="create-outline" (click)='edit()'></ion-icon>
          </span>
        </div>
      </ion-title>
    </ion-toolbar>
  </ion-header>
  <ion-list lines='full' class='ion-padding-horizontal' *ngIf='user'>
    <form [formGroup]="profileForm" novalidate>
    <ion-item detail='false' >
      <ion-label class="ion-text-wrap">
        <ion-text color="dark">
          <h2>{{ 'profilo.indirizzo_email' | translate }}</h2>
        </ion-text>
        <p>{{user.email}}</p>
      </ion-label>
    </ion-item>
    <ion-item detail='false' >
      <ion-label class="ion-text-wrap">
        <ion-text color="dark">
          <h2>{{ 'profilo.n_telefono_cellulare' | translate }}</h2>
        </ion-text>
        <p *ngIf='!enableEdit'>{{user.cellulare}}</p>
        <ion-input  inputmode="tel" formControlName="cellulare"
                    type="tel" *ngIf='enableEdit' ></ion-input>
      </ion-label>
    </ion-item>
    <ion-item detail='false' >
      <ion-label class="ion-text-wrap">
        <ion-text color="dark">
          <h2>{{ 'profilo.n_telefono' | translate }}</h2>
        </ion-text>
        <p *ngIf='!enableEdit'>{{user.telefono}}</p>
        <ion-input  inputmode="tel" formControlName="telefono"
                    type="tel" *ngIf='enableEdit'></ion-input>
      </ion-label>
    </ion-item>
    </form>
  </ion-list>
</ion-content>
<ion-footer *ngIf='user && enableEdit'>
  <ion-row>
    <ion-col class='ion-padding'>
      <ion-button class='ion-no-margin' expand='block' size='large' fill='outline' color="primary" (click)='onSubmit()'>
        {{ 'profilo.modifica_contatti' | translate }}
      </ion-button>
    </ion-col>
  </ion-row>
</ion-footer>
